Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 28-07-2015 12:20:14

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

(Résolu) Encore une question concernant flash pour Iceweasel.

Salut!

J'ai installé «Youtube flash video player 37.0», mais je n'ai pas accès à certains vidéos et radios.

Firefox sous Kubuntu avait «Shockwave flash 11.2.2» et le codec vidéo «open h 264», et tout fonctionnait nickel.

Comment puis-je obtenir Shockwave et h264?

L'installation serait-elle plus simple que celle de «pepperflashplugin-nonfree». Je me perds dans les explications!

Voir ici:
https://debian-facile.org/viewtopic.php?id=11711
https://debian-facile.org/doc:media:flash

Est-il mieux d'installer pepperflashplugin-nonfree?

Merci.

Dernière modification par Parano (04-08-2015 21:29:36)

Hors ligne

#2 28-07-2015 14:16:56

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Quels vidéos / Quelles radios ? donne des exemples parce que c'est relativement vague.

Ensuite, tu voudras probablement installer Adobe Flash Player mais niveau sécurité c'est une passoire.
Pour installer suit la doc https://debian-facile.org/doc:media:fla … avigateurs
et si ça bloque, n'hésites pas à demander de l'aide.

pour pepperflashplugin c'est pour le navigateur Chromium.

Hors ligne

#3 28-07-2015 14:30:53

Ir0nsh007er
Membre
Lieu : Montréal, PQ, Canada
Distrib. : Debian GNU/Linux 9.0 Stretch/Sid
Noyau : 4.7.0-1-amd64 #1 SMP Debian 4.7.5-1 (2016-09-26) x
(G)UI : Xfce 4.12.3
Inscription : 30-04-2015
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Pour ma part pas besoin du tout de cette m....* et je vis très bien big_smile

Moé avec mon P4: Intel(R) Pentium(R) 4 CPU 3.40GHz, Mémoire: 6G DDR2, Carte Graphique: NVIDIA Corp GT216 [GeForce GT 220] (rev a2)
Ir0nsh007er (49 72 30 6E 73 68 30 30 37 65 72).  Mon CV
Noob un jour, noob toujours cool
01001001 01110010 00110000 01101110 01110011 01101000 00110000 00110000 00110111 01100101 01110010

Hors ligne

#4 28-07-2015 14:54:22

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Ça existe un plugin comme ça Oo! D'habitude on cherche plutôt à se débarrasser de ce nid à bugs et à espion qu'est flash, surtout pour une chose aussi inutile que pour lire des videos, on n'a jamais eu besoin de Flash pour ça et c'est le pire des format. Son emploi massif n'a rien à voir avec la technique video, mais tout à voir avec les pratiques douteuses grâce au contournement de la politique de configuration et de sécurité du navigateur.

Si vraiment tu veut avoir la video en bonne qualité, tu peux aussi les télécharger. Personnellement j'utilise plutôt le plugin "video without flash" avec flashgot ou autre chose pour télécharger la video dans le format choisi (il y a aussi des outils en ligne de commande).

« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

#5 28-07-2015 16:17:30

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Bonjour,

nIQnutn:
Quels vidéos / Quelles radios ? donne des exemples parce que c'est relativement vague.



Voir ici
http://www.bbc.co.uk/programmes/b006q2x0

et ici, choisir «chroniques» en haut de la page
http://www.985fm.ca/


Haricophile:
j'utilise plutôt le plugin "video without flash" avec flashgot



J'ai essayé les deux que tu mentionne et échec complet. Si tu veux essayer avec les deux liens que je donne... Et si cela fonctionne, soit gentil, donne-moi la configuration de tes modules. big_smile

Merci pour votre aide.

Hors ligne

#6 28-07-2015 17:02:57

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

youtube-dl http://www.bbc.co.uk/programmes/p02wns22


[bbc.co.uk] p02wns22: Downloading video page
[bbc.co.uk] p02wns22: Downloading playlist JSON
[bbc.co.uk] p02wns24: Downloading media selection XML
[download] Destination: Doctor Who, 'I am the Doctor, and I save people!' - Doctor Who, Series 9 teaser-p02wns24.flv
[download]  99.9% of ~16.36MiB at 1015.34KiB/s ETA 00:00
[rtmpdump] 17141406 bytes


mpv Doctor\ Who,\ \'I\ am\ the\ Doctor,\ and\ I\ save\ people\!\'\ -\ Doctor\ Who,\ Series\ 9\ teaser-p02wns24.flv


Playing: Doctor Who, 'I am the Doctor, and I save people!' - Doctor Who, Series 9 teaser-p02wns24.flv


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#7 28-07-2015 17:21:11

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Pour 98.5, c'est étrange, c'est juste l'affichage de la liste des chroniques qui bug.
Pour la lecture, aucun pb : http://www.985fm.ca/audioplayer.php?mp3=277981

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 29-07-2015 03:51:21

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Bonsoir captnfab,

Pour ceci:


J'ouvre Konsole, je mets le lien et je me fait dire

bash: youtube-dl : commande introuvable


Je fais su et mot de passe et j'obtiens la même réponse.

Pour la radio, ton lien ne fonctionne pas pour moi. Je me fait dire qu'il y a une erreur lors de l'écoute.

Je vais installer Chromium et essayé de comprendre les instructions du wiki concernant les lignes de code.

Haricophile et toi suggérez le téléchargement.
Je vais donc essayé les modules de téléchargement, on verra bien.

Merci à tous pour votre aide. smile

Hors ligne

#9 29-07-2015 03:59:34

Ir0nsh007er
Membre
Lieu : Montréal, PQ, Canada
Distrib. : Debian GNU/Linux 9.0 Stretch/Sid
Noyau : 4.7.0-1-amd64 #1 SMP Debian 4.7.5-1 (2016-09-26) x
(G)UI : Xfce 4.12.3
Inscription : 30-04-2015
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

apt install youtube-dl


Moé avec mon P4: Intel(R) Pentium(R) 4 CPU 3.40GHz, Mémoire: 6G DDR2, Carte Graphique: NVIDIA Corp GT216 [GeForce GT 220] (rev a2)
Ir0nsh007er (49 72 30 6E 73 68 30 30 37 65 72).  Mon CV
Noob un jour, noob toujours cool
01001001 01110010 00110000 01101110 01110011 01101000 00110000 00110000 00110111 01100101 01110010

Hors ligne

#10 29-07-2015 05:14:49

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Bonsoir Ir0nsh007er

Ah oui, ça fait une différence! big_smile

Mais j'ai pas été loin. sad
J'ai fait ta ligne de commande suivie de:



Et au lieu d'obtenir ceci:

captnfab:
[bbc.co.uk] p02wns22: Downloading video page
[bbc.co.uk] p02wns22: Downloading playlist JSON
[bbc.co.uk] p02wns24: Downloading media selection XML
[download] Destination: Doctor Who, 'I am the Doctor, and I save people!' - Doctor Who, Series 9 teaser-p02wns24.flv
[download]  99.9% of ~16.36MiB at 1015.34KiB/s ETA 00:00
[rtmpdump] 17141406 bytes



J'ai obtenu ceci:

bbc.co.uk] p02wns22: Downloading video page
[bbc.co.uk] p02wns22: Downloading playlist XML
ERROR: Unable to download XML: HTTP Error 403: Forbidden; please report this issue on https://yt-dl.org/bug . Be sure to call youtube-dl with the --verbose flag and include its complete output. Make sure you are using the latest version; type  youtube-dl -U  to update.



J'ai fait le update et j'obtiens cela:

It looks like you installed youtube-dl with a package manager, pip, setup.py or a tarball. Please use that to update.



Apper me dit que j'ai la dernière version disponible.

Bref, perds pas ton temps à vouloir régler le problème, comme j'ai dit plus haut, je vais essayé les modules de téléchargement. Si aucun ne fonctionne à mon goût, je reveindrai avec les lignes de commande.

Merci à toi et aux autres. smile

Dernière modification par Parano (29-07-2015 05:16:45)

Hors ligne

#11 29-07-2015 05:54:48

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Et un petit script nommé youtube qui va bien (avec choix) et ou tu pourras downloader les 1080p si il y a.



./youtube https://www.youtube.com/watch?v=v2AC41dglnM
 








#!/bin/bash
#Youtube-DL DASH Video and Audio merging script
#Written by QuidsUp
#Edited by Christoph Korn

File1New=video.mp4
File2New=audio.m4a

URL=$1
if [ -z $URL ]; then
  echo "Usage: youtube url"
  exit
fi

#Find what quality of videos are available
youtube-dl -F $URL
echo
echo -n "Quality for Video (default 137): "
read Qual1
echo -n "Quality for Audio (default 140): "
read Qual2

#Set values if user has just pressed Return without typing anything
if [ -z $Qual1 ]; then
  Qual1="137"
fi
if [ -z $Qual2 ]; then
  Qual2="140"
fi

#Set filenames from output of youtube-dl
File1=$(youtube-dl --get-filename -f $Qual1 $URL)
File2=$(youtube-dl --get-filename -f $Qual2 $URL)
echo $File1
echo $File2
Out=${File1:0:${#File1}-16}".mp4"
echo $Out

#Download Video file with First Quality Setting
youtube-dl -f $Qual1 $URL
if [[ ! -f $File1 ]]; then
  echo
  echo "Error video file not downloaded"
  exit
fi
mv "$File1" "$File1New"

#Download Audio file with Second Quality Setting
youtube-dl -f $Qual2 $URL
if [[ ! -f $File2 ]]; then
  echo
  echo "Error audio file not downloaded"
  exit
fi
mv "$File2" "$File2New"

File1=$File1New
File2=$File2New

#Merge Audio and Video with avconv
#Delete -threads 0 if you have a Single Core CPU
echo
echo "Combining Audio and Video files with FFMpeg"
avconv -i "$File1" -i "$File2" -c copy -threads 0 "$Out"
if [[ -f $Out ]]; then
  echo
  echo "File" $Out "created"
else
  echo
  echo "Error Unable to combine Audio and Video files with FFMpeg"
  exit
fi

#Remove old Files
#rm "$File1"
#rm "$File2"

 

Dernière modification par golgot200 (29-07-2015 05:56:19)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#12 29-07-2015 05:56:44

Ir0nsh007er
Membre
Lieu : Montréal, PQ, Canada
Distrib. : Debian GNU/Linux 9.0 Stretch/Sid
Noyau : 4.7.0-1-amd64 #1 SMP Debian 4.7.5-1 (2016-09-26) x
(G)UI : Xfce 4.12.3
Inscription : 30-04-2015
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

apt install json-glib-tools


Moé avec mon P4: Intel(R) Pentium(R) 4 CPU 3.40GHz, Mémoire: 6G DDR2, Carte Graphique: NVIDIA Corp GT216 [GeForce GT 220] (rev a2)
Ir0nsh007er (49 72 30 6E 73 68 30 30 37 65 72).  Mon CV
Noob un jour, noob toujours cool
01001001 01110010 00110000 01101110 01110011 01101000 00110000 00110000 00110111 01100101 01110010

Hors ligne

#13 29-07-2015 09:23:43

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

@Parano: il te faut probablement l'installer depuis les backports. Perso, j'utilise la version dans stretch.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#14 30-07-2015 12:01:02

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Bonjour tout le monde,

Parano a écrit :

je vais essayé les modules de téléchargement. Si aucun ne fonctionne à mon goût, je reveindrai avec les lignes de commande.


Donc merci à ceux qui m'ont suggéré des logiciels en ligne de commande.

captnfab a écrit :

il te faut probablement l'installer depuis les backports


J'aurais probablement dû commencer par là! Et vous ennuyez avec mes questions après!

Direction le wiki!

Merci et au revoir.

Dernière modification par Parano (30-07-2015 12:01:56)

Hors ligne

#15 01-08-2015 15:48:40

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Bonjour,

Je viens d'installer pepperflashplugin-nonfree. Il fonctionne bien avec Chromium.

Sauf avec la page du Doctor Who ou le module plante.
http://www.bbc.co.uk/programmes/b006q2x0

Daily motion à le même problème.
https://www.onf.ca/film/corbeau_et_le_renard

Et voici le problème:

Ce site utilise un plug-in qui va bientôt devenir obsolète : Adobe Flash Player
Shockwave Flash has crashed



Pour la radio, ça fonctionne bien. C'est toujours ça de pris. smile

Petit problème avec le wiki:
J'ai voulu l'installer avec le terminal, je mets le lien du wiki:

apt-get install -t stable-backports pepperflashplugin-nonfree


Et je me fait répondre:

La valeur « stable-backports » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.



Je l'ai donc installer avec Apper.

Au revoir.

Hors ligne

#16 01-08-2015 16:15:32

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.8.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Salut,

Il faut que tu passes stable-backports en jessie-backports pour utiliser le dépôt .

    ## le contenu de votre sources.list non-libre doit précéder
    # Debian Jessie, dépôt de rétroportages ("backports")
    deb http://httpredir.debian.org/debian jessie-backports main contrib non-free


https://debian-facile.org/doc:systeme:a … -backports

Hors ligne

#17 04-08-2015 21:28:46

Parano
Membre
Lieu : Au Québec
Distrib. : Debian 8.1 stable
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 28-07-2015

Re : (Résolu) Encore une question concernant flash pour Iceweasel.

Bonjour,

nono47 a écrit :

Il faut que tu passes stable-backports en jessie-backports pour utiliser le dépôt.



J'ai y ai pensé, mais j'ai pas pris de chances! Parano que je suis! big_smile

Je passe en résolu. Me reste à essayer les modules de téléchargement de vidéos. Ça va prendre un certain temps, mais bon, sur quelques semaines...

Merci.

Hors ligne

Pied de page des forums